# Class Frame.AccessibleAWTFrame

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
java.awt.Window.AccessibleAWTWindow
java.awt.Frame.AccessibleAWTFrame

All Implemented Interfaces:
  `Serializable, AccessibleComponent`

Direct Known Subclasses:
  `JFrame.AccessibleJFrame`

Enclosing class:
  `Frame`

protected class Frame.AccessibleAWTFrame extends Window.AccessibleAWTWindow
This class implements accessibility support for the `Frame` class. It provides an implementation of the Java Accessibility API appropriate to frame user-interface elements.

Since:
  1.3
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces declared in class Container.AccessibleAWTContainer

`Container.AccessibleAWTContainer.AccessibleContainerHandler`
Modifier and Type
Class
Description
`protected class`
`Container.AccessibleAWTContainer.AccessibleContainerHandler`
Fire `PropertyChange` listener, if one is registered, when children are added or removed.

### Nested classes/interfaces declared in class Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`
Modifier and Type
Class
Description
`protected class`
`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler`
Fire PropertyChange listener, if one is registered, when shown/hidden..
`protected class`
`Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`
Fire PropertyChange listener, if one is registered, when focus events happen

## Field Summary

### Fields declared in class Container.AccessibleAWTContainer

`accessibleContainerHandler`
Modifier and Type
Field
Description
`protected ContainerListener`
`accessibleContainerHandler`
The handler to fire `PropertyChange` when children are added or removed

### Fields declared in class Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`
Modifier and Type
Field
Description
`protected ComponentListener`
`accessibleAWTComponentHandler`
A component listener to track show/hide/resize events and convert them to PropertyChange events.
`protected FocusListener`
`accessibleAWTFocusHandler`
A listener to track focus events and convert them to PropertyChange events.

### Fields declared in class AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`
Modifier and Type
Field
Description
`static final String`
`ACCESSIBLE_ACTION_PROPERTY`
Constant used to indicate that the supported set of actions has changed.
`static final String`
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY`
Constant used to determine when the active descendant of a component has changed.
`static final String`
`ACCESSIBLE_CARET_PROPERTY`
Constant used to determine when the `accessibleText` caret has changed.
`static final String`
`ACCESSIBLE_CHILD_PROPERTY`
Constant used to determine when `Accessible` children are added/removed from the object.
`static final String`
`ACCESSIBLE_COMPONENT_BOUNDS_CHANGED`
`PropertyChangeEvent` which indicates that a change has occurred in a component's bounds.
`static final String`
`ACCESSIBLE_DESCRIPTION_PROPERTY`
Constant used to determine when the `AccessibleContext.accessibleDescription` property has changed.
`static final String`
`ACCESSIBLE_HYPERTEXT_OFFSET`
Constant used to indicate that a hypertext element has received focus.
`static final String`
`ACCESSIBLE_INVALIDATE_CHILDREN`
`PropertyChangeEvent` which indicates that a significant change has occurred to the children of a component like a tree or text.
`static final String`
`ACCESSIBLE_NAME_PROPERTY`
Constant used to determine when the `AccessibleContext.accessibleName` property has changed.
`static final String`
`ACCESSIBLE_SELECTION_PROPERTY`
Constant used to determine when the `accessibleSelection` has changed.
`static final String`
`ACCESSIBLE_STATE_PROPERTY`
Constant used to determine when the `accessibleStateSet` property has changed.
`static final String`
`ACCESSIBLE_TABLE_CAPTION_CHANGED`
Constant used to indicate that the table caption has changed.
`static final String`
`ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED`
Constant used to indicate that the column description has changed.
`static final String`
`ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED`
Constant used to indicate that the column header has changed.
`static final String`
`ACCESSIBLE_TABLE_MODEL_CHANGED`
Constant used to indicate that table data has changed.
`static final String`
`ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED`
Constant used to indicate that the row description has changed.
`static final String`
`ACCESSIBLE_TABLE_ROW_HEADER_CHANGED`
Constant used to indicate that the row header has changed.
`static final String`
`ACCESSIBLE_TABLE_SUMMARY_CHANGED`
Constant used to indicate that the table summary has changed.
`static final String`
`ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED`
`PropertyChangeEvent` which indicates that text attributes have changed.
`static final String`
`ACCESSIBLE_TEXT_PROPERTY`
`PropertyChangeEvent` which indicates that text has changed.
`static final String`
`ACCESSIBLE_VALUE_PROPERTY`
Constant used to determine when the `accessibleValue` property has changed.
`static final String`
`ACCESSIBLE_VISIBLE_DATA_PROPERTY`
Constant used to determine when the visual appearance of the object has changed.
`protected String`
`accessibleDescription`
A localized String containing the description of the object.
`protected String`
`accessibleName`
A localized String containing the name of the object.
`protected Accessible`
`accessibleParent`
The accessible parent of this object.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleAWTFrame()`
Constructs an `AccessibleAWTFrame`.

## Method Summary

Modifier and Type
Method
Description
`AccessibleRole`
`getAccessibleRole()`
Get the role of this object.
`AccessibleStateSet`
`getAccessibleStateSet()`
Get the state of this object.

### Methods declared in class Container.AccessibleAWTContainer

`addPropertyChangeListener, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, removePropertyChangeListener`
Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener listener)`
Adds a PropertyChangeListener to the listener list.
`Accessible`
`getAccessibleAt(Point p)`
Returns the `Accessible` child, if one exists, contained at the local coordinate `Point`.
`Accessible`
`getAccessibleChild(int i)`
Returns the nth `Accessible` child of the object.
`int`
`getAccessibleChildrenCount()`
Returns the number of accessible children in the object.
`void`
`removePropertyChangeListener(PropertyChangeListener listener)`
Remove a PropertyChangeListener from the listener list.

### Methods declared in class Component.AccessibleAWTComponent

`addFocusListener, contains, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`
Modifier and Type
Method
Description
`void`
`addFocusListener(FocusListener l)`
Adds the specified focus listener to receive focus events from this component.
`boolean`
`contains(Point p)`
Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
`AccessibleComponent`
`getAccessibleComponent()`
Gets the `AccessibleComponent` associated with this object if one exists.
`String`
`getAccessibleDescription()`
Gets the accessible description of this object.
`int`
`getAccessibleIndexInParent()`
Gets the index of this object in its accessible parent.
`String`
`getAccessibleName()`
Gets the accessible name of this object.
`Accessible`
`getAccessibleParent()`
Gets the `Accessible` parent of this object.
`Color`
`getBackground()`
Gets the background color of this object.
`Rectangle`
`getBounds()`
Gets the bounds of this object in the form of a Rectangle object.
`Cursor`
`getCursor()`
Gets the `Cursor` of this object.
`Font`
`getFont()`
Gets the `Font` of this object.
`FontMetrics`
`getFontMetrics(Font f)`
Gets the `FontMetrics` of this object.
`Color`
`getForeground()`
Gets the foreground color of this object.
`Locale`
`getLocale()`
Returns the locale of this object.
`Point`
`getLocation()`
Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
`Point`
`getLocationOnScreen()`
Returns the location of the object on the screen.
`Dimension`
`getSize()`
Returns the size of this object in the form of a `Dimension` object.
`boolean`
`isEnabled()`
Determines if the object is enabled.
`boolean`
`isFocusTraversable()`
Returns whether this object can accept focus or not.
`boolean`
`isShowing()`
Determines if the object is showing.
`boolean`
`isVisible()`
Determines if the object is visible.
`void`
`removeFocusListener(FocusListener l)`
Removes the specified focus listener so it no longer receives focus events from this component.
`void`
`requestFocus()`
Requests focus for this object.
`void`
`setBackground(Color c)`
Sets the background color of this object.
`void`
`setBounds(Rectangle r)`
Sets the bounds of this object in the form of a `Rectangle` object.
`void`
`setCursor(Cursor cursor)`
Sets the `Cursor` of this object.
`void`
`setEnabled(boolean b)`
Sets the enabled state of the object.
`void`
`setFont(Font f)`
Sets the `Font` of this object.
`void`
`setForeground(Color c)`
Sets the foreground color of this object.
`void`
`setLocation(Point p)`
Sets the location of the object relative to the parent.
`void`
`setSize(Dimension d)`
Resizes this object so that it has width and height.
`void`
`setVisible(boolean b)`
Sets the visible state of the object.

### Methods declared in class AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`
Modifier and Type
Method
Description
`void`
`firePropertyChange(String propertyName, Object oldValue, Object newValue)`
Support for reporting bound property changes.
`AccessibleAction`
`getAccessibleAction()`
Gets the `AccessibleAction` associated with this object that supports one or more actions.
`AccessibleEditableText`
`getAccessibleEditableText()`
Gets the `AccessibleEditableText` associated with this object presenting editable text on the display.
`AccessibleIcon[]`
`getAccessibleIcon()`
Gets the `AccessibleIcons` associated with an object that has one or more associated icons.
`AccessibleRelationSet`
`getAccessibleRelationSet()`
Gets the `AccessibleRelationSet` associated with an object.
`AccessibleSelection`
`getAccessibleSelection()`
Gets the `AccessibleSelection` associated with this object which allows its `Accessible` children to be selected.
`AccessibleTable`
`getAccessibleTable()`
Gets the `AccessibleTable` associated with an object.
`AccessibleText`
`getAccessibleText()`
Gets the `AccessibleText` associated with this object presenting text on the display.
`AccessibleValue`
`getAccessibleValue()`
Gets the `AccessibleValue` associated with this object that supports a `Numerical` value.
`void`
`setAccessibleDescription(String s)`
Sets the accessible description of this object.
`void`
`setAccessibleName(String s)`
Sets the localized accessible name of this object.
`void`
`setAccessibleParent(Accessible a)`
Sets the `Accessible` parent of this object.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### AccessibleAWTFrame

protected AccessibleAWTFrame()
Constructs an `AccessibleAWTFrame`.

## Method Details

### getAccessibleRole

public AccessibleRole getAccessibleRole()
Get the role of this object.

Overrides:
  `getAccessibleRole` in class `Window.AccessibleAWTWindow`
Returns:
  an instance of AccessibleRole describing the role of the object
See Also:
  - `AccessibleRole`

### getAccessibleStateSet

public AccessibleStateSet getAccessibleStateSet()
Get the state of this object.

Overrides:
  `getAccessibleStateSet` in class `Window.AccessibleAWTWindow`
Returns:
  an instance of AccessibleStateSet containing the current state set of the object
See Also:
  - `AccessibleState`